> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Run Transcript

> Read the run's linked session transcript (ai_session_event page after `since`).



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/ai-agent-runs/{run_id}/transcript
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-agent-runs/{run_id}/transcript:
    get:
      tags:
        - AI Agent Runs
      summary: Get Agent Run Transcript
      description: >-
        Read the run's linked session transcript (ai_session_event page after
        `since`).
      operationId: >-
        get_agent_run_transcript_api_endpoint_api_v1_org_ai_agent_runs__run_id__transcript_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
        - in: path
          name: run_id
          required: true
          schema:
            format: uuid
            title: Run Id
            type: string
        - in: query
          name: since
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Since
        - in: query
          name: limit
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Limit
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  events:
                    items:
                      properties:
                        created_at:
                          title: Created At
                          type: string
                        event_type:
                          title: Event Type
                          type: string
                        id:
                          format: uuid
                          title: Id
                          type: string
                        payload:
                          title: Payload
                        sequence_number:
                          title: Sequence Number
                          type: integer
                        session_id:
                          format: uuid
                          title: Session Id
                          type: string
                      title: AISessionEvent
                      type: object
                    title: Events
                    type: array
                  last_sequence_number:
                    title: Last Sequence Number
                    type: integer
                  session_id:
                    format: uuid
                    title: Session Id
                    type: string
                title: AgentRunTranscriptResponse
                type: object
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                properties:
                  detail:
                    title: Detail
                    type: string
                title: DetailResponse
                type: object
          description: Agent run not found.
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````